In light of Python 2 reaching end-of-life on January 1, 2020, MLflow is dropping support for Python 2.

MLflow 1.7.0 and other 1.7.x patch releases will be the last to support Python 2. MLflow 1.8.0 (targeted for late March 2020) and above will only be available to users on Python >= 3.5.

Note that all user workflows in Python 2 will continue to work, but Python 2 users will no longer receive new features & most bugfixes. We may, in exceptional cases, consider backporting security fixes to the 1.7 branch and making 1.7.x patch releases for Python 2 users.

See https://github.com/mlflow/mlflow/issues/2522 for additional information and discussion.